# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define ksrc /usr/src/linux-%(uname -r)/
%define _inst_dir $RPM_BUILD_ROOT/lib/modules/%(uname -r)/kernel/
%define _sbinrootdir /sbin

%define	name	spca5xx
%define	releasedate 20051001
%define	version 0.57.03
%define	release	1.2006mcnl

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		System/Configuration/Hardware
URL:		http://mxhaard.free.fr/
Source0: 	%{name}-%{releasedate}.tar.gz
Prereq: 	/bin/sh, fileutils, hotplug
BuildRequires:  kernel-source gzip
Requires: 	kernel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary: 	Driver for Atmel AT76C5XXx-based Wireless Devices
Vendor:         Mandrakeclub.nl
Packager:       Marco Meijer <marco@mandrivaclub.nl>

%description
Linux driver for Usb Camera Chips Support

%package -n kernel-module-%{name}-%(uname -r)
Summary: %name kernel module
Group: System Environment/Base
Requires: /boot/vmlinuz-%(uname -r), modutils

%description -n kernel-module-%{name}-%(uname -r)
Kernel module for %name

%prep
%setup -q -n %{name}-%{releasedate}

%build

%make
gzip spca5xx.ko

%install

rm -rf $RPM_BUILD_ROOT

#mkdir -p %{_inst_dir}/drivers/usb/media
#cp spca5xx.ko.gz %{_inst_dir}/drivers/usb/media
mkdir -p %{_inst_dir}/3rdparty/spca5xx
cp spca5xx.ko.gz %{_inst_dir}/3rdparty/spca5xx


%clean
rm -rf $RPM_BUILD_ROOT

%post
depmod -a

%postun
depmod -a

%files -n kernel-module-%{name}-%(uname -r)
%defattr(0755,root,root)
%doc README CHANGELOG README-TV8532 
#/lib/modules/%(uname -r)/kernel/drivers/usb/media/spca5xx.ko.gz
/lib/modules/%(uname -r)/kernel/3rdparty/spca5xx/spca5xx.ko.gz

%changelog
* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl>
- Mandriva 2006 rebuild

* Fri Aug 12 2005 Marco Meijer <marco@mandrivaclub.nl>
- new version for mandrivaclub.nl

